Spec Create From Wsdl
curl --request POST \
--url https://app.apigene.ai/api/spec_from_wsdl/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"port": "<string>",
"auth": {
"type": "none",
"header_name": "<string>"
},
"global_spec": false,
"shared_security_info": false,
"create_mcp": false,
"generate_llm_summary": true
}
'import requests
url = "https://app.apigene.ai/api/spec_from_wsdl/"
payload = {
"url": "<string>",
"port": "<string>",
"auth": {
"type": "none",
"header_name": "<string>"
},
"global_spec": False,
"shared_security_info": False,
"create_mcp": False,
"generate_llm_summary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
port: '<string>',
auth: {type: 'none', header_name: '<string>'},
global_spec: false,
shared_security_info: false,
create_mcp: false,
generate_llm_summary: true
})
};
fetch('https://app.apigene.ai/api/spec_from_wsdl/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.apigene.ai/api/spec_from_wsdl/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'port' => '<string>',
'auth' => [
'type' => 'none',
'header_name' => '<string>'
],
'global_spec' => false,
'shared_security_info' => false,
'create_mcp' => false,
'generate_llm_summary' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.apigene.ai/api/spec_from_wsdl/"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.apigene.ai/api/spec_from_wsdl/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.apigene.ai/api/spec_from_wsdl/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Specs
Spec Create From Wsdl
Install a SOAP 1.1 or 1.2 service by converting one document/literal WSDL port into an OpenAPI spec, then running the normal spec install. Send JSON with a url, or multipart form data with a file and/or url. When the WSDL has more than one SOAP port, pass port (the port id service/port or the port name). Auth records the scheme only; the secret is set later on the application Security tab.
POST
/
api
/
spec_from_wsdl
/
Spec Create From Wsdl
curl --request POST \
--url https://app.apigene.ai/api/spec_from_wsdl/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"port": "<string>",
"auth": {
"type": "none",
"header_name": "<string>"
},
"global_spec": false,
"shared_security_info": false,
"create_mcp": false,
"generate_llm_summary": true
}
'import requests
url = "https://app.apigene.ai/api/spec_from_wsdl/"
payload = {
"url": "<string>",
"port": "<string>",
"auth": {
"type": "none",
"header_name": "<string>"
},
"global_spec": False,
"shared_security_info": False,
"create_mcp": False,
"generate_llm_summary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
port: '<string>',
auth: {type: 'none', header_name: '<string>'},
global_spec: false,
shared_security_info: false,
create_mcp: false,
generate_llm_summary: true
})
};
fetch('https://app.apigene.ai/api/spec_from_wsdl/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.apigene.ai/api/spec_from_wsdl/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'port' => '<string>',
'auth' => [
'type' => 'none',
'header_name' => '<string>'
],
'global_spec' => false,
'shared_security_info' => false,
'create_mcp' => false,
'generate_llm_summary' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.apigene.ai/api/spec_from_wsdl/"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.apigene.ai/api/spec_from_wsdl/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.apigene.ai/api/spec_from_wsdl/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"port\": \"<string>\",\n \"auth\": {\n \"type\": \"none\",\n \"header_name\": \"<string>\"\n },\n \"global_spec\": false,\n \"shared_security_info\": false,\n \"create_mcp\": false,\n \"generate_llm_summary\": true\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
application/jsonmultipart/form-data
Create a spec from a WSDL URL. File uploads use multipart on the same route.
SOAP port id (service/port) or port name. Required when the WSDL has more than one SOAP port.
Show child attributes
Show child attributes
Response
Successful Response
